local self_ID = "An-26B"
declare_plugin(self_ID,
{
installed 	 = true, -- if false that will be place holder , or advertising
dirName	  	 = current_mod_path,

displayName  = _("An-26B"),
fileMenuName = _("An-26B"),
version		 = "2.5.6",
state		 = "installed",
info		 = _("The Antonov An-26 (NATO reporting name: Curl) is a twin-engined turboprop civilian and military transport aircraft, designed and produced in the Soviet Union from 1969 to 1986. After successful operations of the An-24T tactical transport in austere locations, interest in a version with a retractable cargo ramp increased. Initial studies for the retractable ramp were carried out as part of the projected An-40 medium transport. When given the go-ahead for the An-26 in March 1968, the Antonov OKB adapted the ramp design of the An-40 to the An-24 fuselage, resulting in the An-26. Particular attention was given to the military mission, and the majority of early An-26 production was delivered to the VTA."),





InputProfiles =
{
    ["An-26B"] = current_mod_path .. '/Input/An-26B',
},




Skins	=
	{
		{
			name	= _("An-26B"),
			dir		= "Theme"
		},
	},
	
Missions =
	{
		{
			name		    = _("An-26B"),
			dir			    = "Missions",
		},
	},		
Options = 
	{
		{
			name		= _("An-26B"),
			nameId		= "An-26B",
			dir			= "Options",
		},
	},
LogBook =
	{
		{
			name		= _("An-26B"),
			type		= "An-26B",
		},
	},		
})

mount_vfs_liveries_path(current_mod_path ..  "/Liveries")
mount_vfs_model_path   (current_mod_path ..  "/Cockpit/Shape")
mount_vfs_texture_path (current_mod_path ..  "/Theme/ME")--for simulator loading window

mount_vfs_sound_path   (current_mod_path ..  "/Sounds")

local support_cockpit = current_mod_path..'/Cockpit/Scripts/'

----------------------------------------------------------------------------------------
MAC_flyable('An-26B', support_cockpit, nil, current_mod_path..'/comm.lua')
----------------------------------------------------------------------------------------

dofile(current_mod_path.."/Views.lua") --View Settings.

make_view_settings('An-26B', ViewSettings, SnapViews) 

plugin_done()
